明经CAD社区

 找回密码
 注册

QQ登录

只需一步,快速开始

搜索
查看: 619|回复: 6

[提问] 如何分色显示

[复制链接]
发表于 2023-5-23 17:31 | 显示全部楼层 |阅读模式
如何实现分色显示

本帖子中包含更多资源

您需要 登录 才可以下载或查看,没有账号?注册

x
发表于 2023-5-23 19:15 | 显示全部楼层
本帖最后由 vitalgg 于 2023-5-23 19:18 编辑

有规律就能实现,你这全是横平竖直的矩形吗?

视频后半部分是按不同的的矩形分色的,一种长宽一种颜色。




发表于 2023-5-23 19:37 | 显示全部楼层
问题来了,如果是竖着的101的图元,该是粉色,还是绿色呢
 楼主| 发表于 2023-5-25 12:32 | 显示全部楼层
vitalgg 发表于 2023-5-23 19:15
有规律就能实现,你这全是横平竖直的矩形吗?

视频后半部分是按不同的的矩形分色的,一种长宽一种颜色。 ...

是横平竖直的矩形
 楼主| 发表于 2023-5-25 12:34 | 显示全部楼层
vitalgg 发表于 2023-5-23 19:15
有规律就能实现,你这全是横平竖直的矩形吗?

视频后半部分是按不同的的矩形分色的,一种长宽一种颜色。 ...

横的矩形,一种色,竖的矩形一种色
发表于 2023-5-25 12:54 来自手机 | 显示全部楼层
简单得不行,你找到论坛代码,可以读取长宽,在cond
发表于 2023-5-26 09:09 | 显示全部楼层
本帖最后由 vitalgg 于 2023-5-26 09:22 编辑

  1. (defun c:at-rc ()
  2.   ;; 选择矩形
  3.   (setq recs
  4.          (vl-remove-if-not 'curve:rectanglep
  5.             (pickset:to-list(ssget '((0 . "lwpolyline"))))))
  6.   (foreach rec recs
  7.     (setq box (entity:getbox rec 0))
  8.     (setq h (- (cadadr box) (cadar box)))
  9.     (setq w (- (caadr box) (caar box)))
  10.     (if (> w h)
  11.       ;; 水平矩形为红色
  12.       (entity:putdxf rec 62 1)
  13.       ;; 竖向矩形为绿色
  14.       (entity:putdxf rec 62 3)
  15.     )
  16.   )
  17. )
您需要登录后才可以回帖 登录 | 注册

本版积分规则

小黑屋|手机版|CAD论坛|CAD教程|CAD下载|联系我们|关于明经|明经通道 ( 粤ICP备05003914号 )  
©2000-2023 明经通道 版权所有 本站代码,在未取得本站及作者授权的情况下,不得用于商业用途

GMT+8, 2024-2-28 12:56 , Processed in 0.159522 second(s), 25 queries , Gzip On.

Powered by Discuz! X3.4

Copyright © 2001-2021, Tencent Cloud.

快速回复 返回顶部 返回列表